JUCE: TextEditor::LookAndFeelMethods Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TextEditor::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » widgets

This abstract base class is implemented by LookAndFeel classes to provide TextEditor drawing functionality. More...

`#include <juce_TextEditor.h>`

Inheritance diagram for TextEditor::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | fillTextEditorBackground (Graphics &, int width, int height, TextEditor &)=0
virtual void | drawTextEditorOutline (Graphics &, int width, int height, TextEditor &)=0
virtual CaretComponent * | createCaretComponent (Component *keyFocusOwner)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide TextEditor drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual TextEditor::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ fillTextEditorBackground()

virtual void TextEditor::LookAndFeelMethods::fillTextEditorBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | TextEditor & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ drawTextEditorOutline()

virtual void TextEditor::LookAndFeelMethods::drawTextEditorOutline | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | TextEditor & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V1, LookAndFeel_V2, LookAndFeel_V3, and LookAndFeel_V4.

## ◆ createCaretComponent()

virtual CaretComponent * TextEditor::LookAndFeelMethods::createCaretComponent | ( | Component * | keyFocusOwner | ) |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_TextEditor.h